diff -Naur Doomsday Data Files.old/ai/switch/sov_baltic.ai Doomsday Data Files/ai/switch/sov_baltic.ai
--- Doomsday Data Files.old/ai/switch/sov_baltic.ai	2008-12-01 19:17:14.000000000 +0100
+++ Doomsday Data Files/ai/switch/sov_baltic.ai	2008-12-01 21:31:17.000000000 +0100
@@ -1,10 +1,371 @@
-# Soviet Baltic States AI 1936 AI File by Lothos
+# reworked by G'Kar for DAIM
+# based on the original files (HoI2 1.1) by Lothos
+# reuse is welcome as long as file origin is correctly stated
+
+switch = no
+max_front_ratio = 2.0
+max_garrison_prop = 0.75
+min_garrison_prop = 0.25
+neutrality = 120.000 
+war = 0
+reinforcement = 0.05
+upgrading = 0.10
+desperation = 0.9
+strat_redeploy_threshold = 91
+exp_force_ratio = 0.10
 
 ###################################
 # Diplomacy
 ###################################
-combat = {
-	EST = 50
+demand_claims = {
+	EST
+	LAT
+	LIT
+	FIN
+}
+
+befriend = {
+	JAP = -10
+	MAN = -10
+	CHI = -10
+	MON = -10
+	TAN = -10
+	SIK = -10
+	AFG = -10
+	PER = 50
+	TUR = -10
+	ROM = -10
+	BUL = -10
+	POL = -10
+	LIT = -10
+	LAT = -10
+	EST = -10
+	FIN = -10
+	NOR = -10
+	SWE = -10
+	GER = -10
+	SLO = -10
+	HUN = -10
+	CSX = -10
+	CXB = -10
+	CYN = -10
+	CGX = -10
+	CHC = -10
+	MEN = -10
+	SPR = -10
+}
+
+protect = {
+	PER = 80 
+	ROM = 80 
+	TUR = 80
+	POL = 10
 	LAT = 50
+	EST = 50
 	LIT = 50
-}
\ No newline at end of file
+	FIN = 50
+	TAN = 50
+	MON = 50
+	AFG = 50
+}
+
+trade = {
+	energy 		= -1
+	rare_materials 	= -1
+	metal 		= -1
+	oil 		= -1
+	supplies 	= -1
+	money 		= -1
+
+	favored = {
+		BUL = 50
+		ITA = 50
+		JAP = 50
+		ROM = 50
+		YUG = 50
+		GER = 75
+		SPR = 75
+		MON = 100
+		TAN = 100
+	}
+	embargo = { }
+}
+
+###################################
+# Construction and Tech Research
+###################################
+construction = { 
+	max_factor = 0.0
+
+	AA_batteries = no
+	max_AA_level = 0
+	AA_provs = { } 
+
+	coastal_fort = no
+	max_coastal_level = 0
+	coastal_fort_provs = { } 
+
+	radar_station = no 
+	max_radar = 0
+	radar_provs = { } 
+
+	air_base = no
+	max_air_base = 0
+	air_base_provs = { }
+
+	naval_base = no 
+	max_naval_base = 0
+	naval_base_provs = { } 
+
+	land_fort = no
+	max_land_level = 0
+	fort_borders = { } 
+
+	ic_at_war = no 
+	force_ic_until = 1935
+	ic_end_year = 1935
+	IC_provs = { } 
+}
+
+military = { 
+	relative_build_scheme 	= no 
+	max_batch_peace 	= 360 
+	max_batch_war 		= 360 
+	max_batch_home_front 	= 360
+
+	#### Divisions etc...
+	infantry 	= 0
+	cavalry 	= 7
+	motorized 	= 9
+	mechanized 	= 0
+	light_armor 	= 0
+	armor 		= 35
+	paratrooper 	= 0
+	marine 		= 0
+	bergsjaeger 	= 12
+	garrison	= 0
+      	hq 		= 7
+	militia 	= 0
+#				70 %
+	interceptor 	= 14
+	multi_role 	= 0
+	cas 		= 16
+	strategic_bomber = 0
+	tactical_bomber = 0
+	naval_bomber 	= 0
+	transport_plane = 0
+	flying_bomb 	= 0
+	flying_rocket 	= 0
+#				30 %
+	battleship 	= 0
+	carrier 	= 0
+	escort_carrier	= 0
+	destroyer 	= 0
+	light_cruiser 	= 0
+	heavy_cruiser 	= 0
+	battlecruiser 	= 0
+	submarine 	= 0
+	transports 	= 0
+#				0 %
+
+	#### Brigades
+	artillery 		= 0
+	sp_artillery 		= 0
+	rocket_artillery	= 0
+	sp_rct_artillery 	= 0
+	anti_tank 		= 0
+	tank_destroyer 		= 0
+	light_armor_brigade 	= 0
+	heavy_armor 		= 0
+	super_heavy_armor 	= 0
+	armored_car 		= 0
+	anti_air 		= 0
+	police 			= 0
+	engineer 		= 0
+
+	cag = 100.000 
+}
+
+technology = {
+	endgoal 	= {
+		1010 1020 1030 1040 1050 1060 10000 10010 # Infantry
+		1110 1120 1130 1140 10040 10050 # Mountaineers
+		1230 1240 1250 10080 10090 # Motorized Inf
+		1260 1270 1280 1290 10100 10110 # Mechanized Inf
+		1310 1320 1330 10120 # Logistics
+		2010 2020 2030 2040 2050 2060 2070 2080 2090 2100 2110 2120 2130 2140 11000 11010 # Tanks
+		2290 2300 2310 2320 2330 2340 2350 2360 # Artillery
+		2400 2410 2420 2430 2440 11070 # Anti-Tank
+		4010 4020 4030 4060 4090 15000 15010 15020 # Interceptors
+		4170 4280 4180 15120 15130 # CAS
+		5010 5020 5030 5040 13000 13010 # Agriculture
+		5050 5060 5070 # Machine Tools
+		5080 5090 5100 # Construction Engineering
+		5110 5120 5130 5140 5160 5180 # Assembly Lines
+		5310 5320 5330 5340 # Computing Machines
+		6210 6300 6310 6320 6330 6340 6350 6360 6370 14060 # Land Doctrines (SOV path)
+		7140 7150 7160 16000 # Computers
+		9090 9100 9110 9120 # Air Doctrines
+		14000 14010 14020 14030 14040 # Hospitals
+	}
+	preference 	= {
+		1010 1020 1030 1040 1050 1060 10000 10010 # Infantry
+		1110 1120 1130 1140 10040 10050 # Mountaineers
+		1230 1240 1250 10080 10090 # Motorized Inf
+		1260 1270 1280 1290 10100 10110 # Mechanized Inf
+		1310 1320 1330 10120 # Logistics
+		2010 2020 2030 2040 2050 2060 2070 2080 2090 2100 2110 2120 2130 2140 11000 11010 # Tanks
+		2290 2300 2310 2320 2330 2340 2350 2360 # Artillery
+		2400 2410 2420 2430 2440 11070 # Anti-Tank
+		4010 4020 4030 4060 4090 15000 15010 15020 # Interceptors
+		4170 4280 4180 15120 15130 # CAS
+		5010 5020 5030 5040 13000 13010 # Agriculture
+		5050 5060 5070 # Machine Tools
+		5080 5090 5100 # Construction Engineering
+		5110 5120 5130 5140 5160 5180 # Assembly Lines
+		5310 5320 5330 5340 # Computing Machines
+		6210 6300 6310 6320 6330 6340 6350 6360 6370 14060 # Land Doctrines (SOV path)
+		7140 7150 7160 16000 # Computers
+		9090 9100 9110 9120 # Air Doctrines
+		14000 14010 14020 14030 14040 # Hospitals
+	}
+	ignore 		= {
+		1070 1080 1090 1100 10020 10030 # Paratroopers
+		1150 1160 1170 1180 10060 10070 # Marines
+		1340 1350 1360 # Repair shops
+		2170 2180 2190 2200 2210 11020 # Tank Destroyers
+		2370 2380 2390 # Rocket Artillery
+		2450 2460 2470 2480 2490 2500 11080 # Static Anti-Air
+		2510 2520 2530 2540 11090 # Anti-Air Brigades
+		3320 3330 3340 3350 3360 3370 3380 3390 12060 # Carriers
+		12100 12110 12120 12130 12140 12150 # Escort Carriers
+		4040 4070 4100 15030 15040 15050 # Fighters
+		4190 4200 4210 15140 15150 # Naval Bombers
+		4220 4230 4240 15160 15170 # Strategic Bombers
+		4250 4260 4270 15180 15190 # Air Transports
+		5150 5170 # Ship + Rocket Assembly Lines
+		5410 5420 5430 5440 5450 5460 13030 # Radar
+		5470 5480 5490 5500 5510 5520 5530 5540 # Nuclear Techs
+		5580 5590 # Flying Bomb / Flying Rocket
+		9150 9160 9170 9180 9430 9440 9450 9460 17010 # Strategic Bombardment Doctrines
+		14080 # Guerilla Warfare
+	}
+
+	armor 		= 8
+	infantry 	= 9
+	industry 	= 5
+	aircraft 	= 4
+	naval 		= 0
+	land_doctrines 	= 4
+	secret_weapons 	= 1
+	air_doctrines 	= 1
+	naval_doctrines = 0
+}
+
+###################################
+# Ground Combat, Leaders and Garrisons
+###################################
+garrison = {
+	defend_overseas_beaches = no
+	home_multiplier 	= 1.0
+	overseas_multiplier 	= 0.5
+	home_peace_cap 		= 101
+	war_zone_odds 		= 2.0
+	key_point_prio_mult	= 1.0
+	revolt_risk_mult	= 1.0
+
+	# PRIORITIES:
+	beach			= 10	# Beach level 2
+	capital			= 75	# Our capital
+	human_border		= 100	# Ignored for allied human players
+	war_target		= 150	# The next country targeted for attack by this AI
+	
+	opposing_alliance	= 50	# For neutrals, all alliances are "opposing"
+	claim_threat		= 0	# If we are neutral, countries with claims on us get this
+	unstable_border		= 0	# Bordering countries at war with someone else get this
+
+	# Borders with specific countries
+	country_priorities = {
+		MON = -1
+		TAN = -1
+		SIK = -1
+		CHI = -1
+		AFG = -1
+		PER = 10
+		TUR = 10
+		NOR = 10
+		JAP = 25
+		MAN = 25
+		ROM = 75
+		HUN = 75
+		EST = 100
+		LAT = 100
+		LIT = 100
+		POL = 100
+		GER = 100
+		FIN = 100
+	}
+	province_priorities = {
+		187 = 60
+		163 = 60
+		175 = 80
+		238 = 80
+		1907 = 40
+		1572 = 40
+	}
+	ignore = { 205 }
+	area_multiplier = { }
+}
+front = { 
+	recklessness 		= 1 # 0-3
+	distrib_vs_ai 		= even
+	distrib_vs_human 	= op_defensive
+
+	enemy_reinf_days	= 3
+	reserve_prop		= 0.2
+	panic_ratio_vs_ai	= 2.5
+	panic_ratio_vs_human	= 2.5
+	base_attack_odds	= 1.5
+	min_attack_odds		= 1.2
+	max_attack_odds		= 4.0
+	reinforce_odds		= 1.2
+	withdraw_odds		= 0.9
+
+	support_defense_prop = 0.5
+
+	strength 	= 1.0
+	organisation 	= 2.0
+	soft_attack 	= 1.0
+	hard_attack 	= 2.0
+	ground_defense 	= 1.0
+	dig_in 		= 1.25 # Against defender
+
+      	enemy_handicap = {
+		ROM = 180
+	} 
+      	passivity = {
+	} 
+	province_priorities = {
+		163 = 2.5
+		175 = 2.5
+		187 = 2.5
+		238 = 2.5
+	}
+} 
+
+tech_sharing = {
+	favored = {
+		TAN = 200
+		MON = 200
+	}
+}
+
+###################################
+# Invasions and Naval
+###################################
+invasion = { 
+	ignore		= no 
+	invasion	= no
+      
+	target = { } 
+} 
diff -Naur Doomsday Data Files.old/ai/switch/sov_retaliate.ai Doomsday Data Files/ai/switch/sov_retaliate.ai
--- Doomsday Data Files.old/ai/switch/sov_retaliate.ai	1970-01-01 01:00:00.000000000 +0100
+++ Doomsday Data Files/ai/switch/sov_retaliate.ai	2008-12-01 21:31:17.000000000 +0100
@@ -0,0 +1,347 @@
+# reworked by G'Kar for DAIM
+# based on the original files (HoI2 1.1) by Lothos
+# reuse is welcome as long as file origin is correctly stated
+
+switch = no
+max_front_ratio = 2.0
+max_garrison_prop = 0.75
+min_garrison_prop = 0.25
+neutrality = 120.000 
+war = 0
+reinforcement = 0.25
+upgrading = 0.30
+desperation = 0.9
+strat_redeploy_threshold = 91
+max_redeploying = 0.10
+exp_force_ratio = 0.10
+use_offensive_supply = yes
+max_fuel_offensive = 1000
+
+###################################
+# Diplomacy
+###################################
+demand_claims = {
+}
+
+befriend = {
+	JAP = -10
+	MAN = -10
+	CHI = -10
+	MON = -10
+	TAN = -10
+	SIK = -10
+	AFG = -10
+	PER = 50
+	TUR = -10
+	ROM = -10
+	BUL = -10
+	POL = -10
+	LIT = -10
+	LAT = -10
+	EST = -10
+	FIN = -10
+	NOR = -10
+	SWE = -10
+	GER = -10
+	SLO = -10
+	HUN = -10
+	CSX = -10
+	CXB = -10
+	CYN = -10
+	CGX = -10
+	CHC = -10
+	MEN = -10
+	SPR = -10
+}
+
+protect = {
+}
+
+trade = {
+	energy 		= -1
+	rare_materials 	= -1
+	metal 		= -1
+	oil 		= -1
+	supplies 	= -1
+	money 		= -1
+
+	favored = {
+		MON = 100
+		TAN = 100
+	}
+	embargo = { }
+}
+
+###################################
+# Construction and Tech Research
+###################################
+construction = { 
+	max_factor = 1.0
+
+	AA_batteries = no
+	max_AA_level = 0
+	AA_provs = { } 
+
+	coastal_fort = no
+	max_coastal_level = 0
+	coastal_fort_provs = { } 
+
+	radar_station = no 
+	max_radar = 0
+	radar_provs = { } 
+
+	air_base = no
+	max_air_base = 0
+	air_base_provs = { }
+
+	naval_base = no 
+	max_naval_base = 0
+	naval_base_provs = { } 
+
+	land_fort = no
+	max_land_level = 0
+	fort_borders = { } 
+
+	ic_at_war = no 
+	force_ic_until = 1935
+	ic_end_year = 1935
+	IC_provs = { } 
+}
+
+military = { 
+	relative_build_scheme 	= yes 
+	max_batch_peace 	= 540 
+	max_batch_war 		= 540 
+	max_batch_home_front 	= 540
+
+	#### Divisions etc...
+	infantry 	= 63
+	cavalry 	= 2
+	motorized 	= 4
+	mechanized 	= 6
+	light_armor 	= 0
+	armor 		= 7
+	paratrooper 	= 0
+	marine 		= 0
+	bergsjaeger 	= 4
+	garrison	= 0
+      	hq 		= 2
+	militia 	= 0
+#				88 %
+	interceptor 	= 7
+	multi_role 	= 0
+	cas 		= 5
+	strategic_bomber = 0
+	tactical_bomber = 0
+	naval_bomber 	= 0
+	transport_plane = 0
+	flying_bomb 	= 0
+	flying_rocket 	= 0
+#				12 %
+	battleship 	= 0
+	carrier 	= 0
+	escort_carrier	= 0
+	destroyer 	= 0
+	light_cruiser 	= 0
+	heavy_cruiser 	= 0
+	battlecruiser 	= 0
+	submarine 	= 0
+	transports 	= 0
+#				0 %
+
+	#### Brigades
+	artillery 		= 0
+	sp_artillery 		= 0
+	rocket_artillery	= 0
+	sp_rct_artillery 	= 0
+	anti_tank 		= 0
+	tank_destroyer 		= 0
+	light_armor_brigade 	= 0
+	heavy_armor 		= 0
+	super_heavy_armor 	= 0
+	armored_car 		= 0
+	anti_air 		= 0
+	police 			= 0
+	engineer 		= 0
+
+	cag = 100.000 
+}
+
+technology = {
+	endgoal 	= {
+		1010 1020 1030 1040 1050 1060 10000 10010 # Infantry
+		1110 1120 1130 1140 10040 10050 # Mountaineers
+		1230 1240 1250 10080 10090 # Motorized Inf
+		1260 1270 1280 1290 10100 10110 # Mechanized Inf
+		1310 1320 1330 10120 # Logistics
+		2010 2020 2030 2040 2050 2060 2070 2080 2090 2100 2110 2120 2130 2140 11000 11010 # Tanks
+		2290 2300 2310 2320 2330 2340 2350 2360 # Artillery
+		2400 2410 2420 2430 2440 11070 # Anti-Tank
+		4010 4020 4030 4060 4090 15000 15010 15020 # Interceptors
+		4170 4280 4180 15120 15130 # CAS
+		5010 5020 5030 5040 13000 13010 # Agriculture
+		5050 5060 5070 # Machine Tools
+		5080 5090 5100 # Construction Engineering
+		5110 5120 5130 5140 5160 5180 # Assembly Lines
+		5310 5320 5330 5340 # Computing Machines
+		6210 6300 6310 6320 6330 6340 6350 6360 6370 14060 # Land Doctrines (SOV path)
+		7140 7150 7160 16000 # Computers
+		9090 9100 9110 9120 # Air Doctrines
+		14000 14010 14020 14030 14040 # Hospitals
+	}
+	preference 	= {
+		1010 1020 1030 1040 1050 1060 10000 10010 # Infantry
+		1110 1120 1130 1140 10040 10050 # Mountaineers
+		1230 1240 1250 10080 10090 # Motorized Inf
+		1260 1270 1280 1290 10100 10110 # Mechanized Inf
+		1310 1320 1330 10120 # Logistics
+		2010 2020 2030 2040 2050 2060 2070 2080 2090 2100 2110 2120 2130 2140 11000 11010 # Tanks
+		2290 2300 2310 2320 2330 2340 2350 2360 # Artillery
+		2400 2410 2420 2430 2440 11070 # Anti-Tank
+		4010 4020 4030 4060 4090 15000 15010 15020 # Interceptors
+		4170 4280 4180 15120 15130 # CAS
+		5010 5020 5030 5040 13000 13010 # Agriculture
+		5050 5060 5070 # Machine Tools
+		5080 5090 5100 # Construction Engineering
+		5110 5120 5130 5140 5160 5180 # Assembly Lines
+		5310 5320 5330 5340 # Computing Machines
+		6210 6300 6310 6320 6330 6340 6350 6360 6370 14060 # Land Doctrines (SOV path)
+		7140 7150 7160 16000 # Computers
+		9090 9100 9110 9120 # Air Doctrines
+		14000 14010 14020 14030 14040 # Hospitals
+	}
+	ignore 		= {
+		1070 1080 1090 1100 10020 10030 # Paratroopers
+		1150 1160 1170 1180 10060 10070 # Marines
+		1340 1350 1360 # Repair shops
+		2170 2180 2190 2200 2210 11020 # Tank Destroyers
+		2370 2380 2390 # Rocket Artillery
+		2450 2460 2470 2480 2490 2500 11080 # Static Anti-Air
+		2510 2520 2530 2540 11090 # Anti-Air Brigades
+		3320 3330 3340 3350 3360 3370 3380 3390 12060 # Carriers
+		12100 12110 12120 12130 12140 12150 # Escort Carriers
+		4040 4070 4100 15030 15040 15050 # Fighters
+		4190 4200 4210 15140 15150 # Naval Bombers
+		4220 4230 4240 15160 15170 # Strategic Bombers
+		4250 4260 4270 15180 15190 # Air Transports
+		5150 5170 # Ship + Rocket Assembly Lines
+		5410 5420 5430 5440 5450 5460 13030 # Radar
+		5470 5480 5490 5500 5510 5520 5530 5540 # Nuclear Techs
+		5580 5590 # Flying Bomb / Flying Rocket
+		9150 9160 9170 9180 9430 9440 9450 9460 17010 # Strategic Bombardment Doctrines
+		14080 # Guerilla Warfare
+	}
+
+	armor 		= 8
+	infantry 	= 9
+	industry 	= 5
+	aircraft 	= 4
+	naval 		= 0
+	land_doctrines 	= 4
+	secret_weapons 	= 2
+	air_doctrines 	= 2
+	naval_doctrines = 0
+}
+
+###################################
+# Ground Combat, Leaders and Garrisons
+###################################
+garrison = {
+	defend_overseas_beaches = no
+	home_multiplier 	= 1.0
+	overseas_multiplier 	= 0.5
+	home_peace_cap 		= 101
+	war_zone_odds 		= 2.0
+	key_point_prio_mult	= 0.5
+	revolt_risk_mult	= 0.5
+
+	# PRIORITIES:
+	beach			= 10	# Beach level 2
+	capital			= 75	# Our capital
+	human_border		= 100	# Ignored for allied human players
+	war_target		= 150	# The next country targeted for attack by this AI
+	
+	opposing_alliance	= 50	# For neutrals, all alliances are "opposing"
+	claim_threat		= 0	# If we are neutral, countries with claims on us get this
+	unstable_border		= 0	# Bordering countries at war with someone else get this
+
+	# Borders with specific countries
+	country_priorities = {
+		MON = -1
+		TAN = -1
+		SIK = -1
+		CHI = -1
+		AFG = -1
+		PER = -1
+		TUR = -1
+		NOR = -1
+		MAN = 20
+		JAP = 20
+		ROM = 50
+		HUN = 50
+		FIN = 50
+		GER = 300
+	}
+	province_priorities = {
+		187 = 60
+		163 = 60
+		175 = 80
+		238 = 80
+		1907 = 40
+		1572 = 40
+	}
+	ignore = { }
+	area_multiplier = { }
+}
+front = { 
+	recklessness 		= 2 # 0-3
+	distrib_vs_ai 		= even
+	distrib_vs_human 	= even
+
+	enemy_reinf_days	= 3
+	reserve_prop		= 0.2
+	panic_ratio_vs_ai	= 2.5
+	panic_ratio_vs_human	= 2.5
+	base_attack_odds	= 1.5
+	min_attack_odds		= 1.2
+	max_attack_odds		= 4.0
+	reinforce_odds		= 1.2
+	withdraw_odds		= 0.9
+
+	support_defense_prop = 0.5
+
+	strength 	= 1.0
+	organisation 	= 2.0
+	soft_attack 	= 1.0
+	hard_attack 	= 2.0
+	ground_defense 	= 1.0
+	dig_in 		= 1.25 # Against defender
+
+      	enemy_handicap = {
+	} 
+      	passivity = {
+	} 
+	province_priorities = {
+		163 = 2.5
+		175 = 2.5
+		187 = 2.5
+		238 = 2.5
+	}
+} 
+
+tech_sharing = {
+	favored = {
+		TAN = 200
+		MON = 200
+	}
+}
+
+###################################
+# Invasions and Naval
+###################################
+invasion = { 
+	ignore		= no 
+	invasion	= no
+      
+	target = { } 
+} 
diff -Naur Doomsday Data Files.old/ai/switch/sov_upgrades.ai Doomsday Data Files/ai/switch/sov_upgrades.ai
--- Doomsday Data Files.old/ai/switch/sov_upgrades.ai	1970-01-01 01:00:00.000000000 +0100
+++ Doomsday Data Files/ai/switch/sov_upgrades.ai	2008-12-01 21:31:17.000000000 +0100
@@ -0,0 +1,5 @@
+# reworked by G'Kar for DAIM
+# based on the original files (HoI2 1.1) by Lothos
+# reuse is welcome as long as file origin is correctly stated
+
+upgrading = 0.50
diff -Naur Doomsday Data Files.old/ai/switch/sov_war.ai Doomsday Data Files/ai/switch/sov_war.ai
--- Doomsday Data Files.old/ai/switch/sov_war.ai	1970-01-01 01:00:00.000000000 +0100
+++ Doomsday Data Files/ai/switch/sov_war.ai	2008-12-01 21:31:17.000000000 +0100
@@ -0,0 +1,62 @@
+# reworked by G'Kar for DAIM
+# based on the original files (HoI2 1.1) by Lothos
+# reuse is welcome as long as file origin is correctly stated
+
+military = { 
+	relative_build_scheme 	= no 
+	max_batch_peace 	= 540 
+	max_batch_war 		= 540 
+	max_batch_home_front 	= 540
+
+	#### Divisions etc...
+	infantry 	= 70
+	cavalry 	= 0
+	motorized 	= 0
+	mechanized 	= 0
+	light_armor 	= 0
+	armor 		= 20
+	paratrooper 	= 0
+	marine 		= 0
+	bergsjaeger 	= 0
+	garrison	= 0
+      	hq 		= 0
+	militia 	= 0
+#				90 %
+	interceptor 	= 6
+	multi_role 	= 0
+	cas 		= 4
+	strategic_bomber = 0
+	tactical_bomber = 0
+	naval_bomber 	= 0
+	transport_plane = 0
+	flying_bomb 	= 0
+	flying_rocket 	= 0
+#				10 %
+	battleship 	= 0
+	carrier 	= 0
+	escort_carrier	= 0
+	destroyer 	= 0
+	light_cruiser 	= 0
+	heavy_cruiser 	= 0
+	battlecruiser 	= 0
+	submarine 	= 0
+	transports 	= 0
+#				0 %
+
+	#### Brigades
+	artillery 		= 0
+	sp_artillery 		= 0
+	rocket_artillery	= 0
+	sp_rct_artillery 	= 0
+	anti_tank 		= 0
+	tank_destroyer 		= 0
+	light_armor_brigade 	= 0
+	heavy_armor 		= 0
+	super_heavy_armor 	= 0
+	armored_car 		= 0
+	anti_air 		= 0
+	police 			= 0
+	engineer 		= 0
+
+	cag = 100.000 
+}
diff -Naur Doomsday Data Files.old/ai/switch/trades_off.ai Doomsday Data Files/ai/switch/trades_off.ai
--- Doomsday Data Files.old/ai/switch/trades_off.ai	1970-01-01 01:00:00.000000000 +0100
+++ Doomsday Data Files/ai/switch/trades_off.ai	2008-12-01 21:31:17.000000000 +0100
@@ -0,0 +1,6 @@
+# auxiliary DAIM AI file
+# reuse is welcome as long as file origin is correctly stated
+
+trade = {
+	cancel_deal_threshold	= -1000.000
+}
diff -Naur Doomsday Data Files.old/ai/switch/trades_on.ai Doomsday Data Files/ai/switch/trades_on.ai
--- Doomsday Data Files.old/ai/switch/trades_on.ai	1970-01-01 01:00:00.000000000 +0100
+++ Doomsday Data Files/ai/switch/trades_on.ai	2008-12-01 21:31:17.000000000 +0100
@@ -0,0 +1,6 @@
+# auxiliary DAIM AI file
+# reuse is welcome as long as file origin is correctly stated
+
+trade = {
+	cancel_deal_threshold	= 2.500
+}
diff -Naur Doomsday Data Files.old/ai/switch/usa_defence.ai Doomsday Data Files/ai/switch/usa_defence.ai
--- Doomsday Data Files.old/ai/switch/usa_defence.ai	1970-01-01 01:00:00.000000000 +0100
+++ Doomsday Data Files/ai/switch/usa_defence.ai	2008-12-01 21:31:17.000000000 +0100
@@ -0,0 +1,100 @@
+# reworked by G'Kar for DAIM
+# based on the original files (HoI2 1.1) by Lothos
+# reuse is welcome as long as file origin is correctly stated
+
+max_garrison_prop = 0.60
+min_garrison_prop = 0.40
+
+evac_islands = yes
+
+garrison = {
+	defend_overseas_beaches = no
+	home_multiplier 	= 2.0
+	overseas_multiplier 	= 0.5
+	home_peace_cap 		= 101
+	war_zone_odds 		= 2.0
+	key_point_prio_mult	= 1.0
+	revolt_risk_mult	= 0.3
+
+	# PRIORITIES:
+	beach			= 75	# Beach level 2
+	capital			= 100	# Our capital
+	human_border		= 50	# Ignored for allied human players
+	war_target		= 50	# The next country targeted for attack by this AI
+	
+	opposing_alliance	= 50	# For neutrals, all alliances are "opposing"
+	claim_threat		= 0	# If we are neutral, countries with claims on us get this
+	unstable_border		= 0	# Bordering countries at war with someone else get this
+}
+
+front = { 
+	recklessness 		= 2 # 0-3
+	distrib_vs_ai 		= even
+	distrib_vs_human 	= even
+}
+
+invasion = { 
+	ignore		= no 
+	invasion	= no
+      
+	target = { } 
+} 
+
+military = { 
+	relative_build_scheme 	= no
+	max_batch_peace 	= 360
+	max_batch_war 		= 360
+	max_batch_home_front 	= 360
+
+	#### Divisions etc...
+	infantry 	= 22
+	cavalry 	= 0
+	motorized 	= 6
+	mechanized 	= 0
+	light_armor 	= 0
+	armor 		= 6
+	paratrooper 	= 0
+	marine 		= 5
+	bergsjaeger 	= 3
+	garrison	= 0
+      	hq 		= 3
+	militia 	= 0
+#				45 %
+	interceptor 	= 0
+	multi_role 	= 7
+	cas 		= 0
+	strategic_bomber = 0
+	tactical_bomber = 4
+	naval_bomber 	= 2
+	transport_plane = 0
+	flying_bomb 	= 0
+	flying_rocket 	= 0
+#				13 %
+	battleship 	= 4
+	carrier 	= 6
+	escort_carrier	= 2
+	destroyer 	= 9
+	light_cruiser 	= 8
+	heavy_cruiser 	= 3
+	battlecruiser 	= 0
+	submarine 	= 5
+	transports 	= 5
+#				42 %
+
+	#### Brigades
+	artillery 		= 10
+	sp_artillery 		= 20
+	rocket_artillery	= 0
+	sp_rct_artillery 	= 0
+	anti_tank 		= 0
+	tank_destroyer 		= 0
+	light_armor_brigade 	= 0
+	heavy_armor 		= 10
+	super_heavy_armor 	= 0
+	armored_car 		= 0
+	anti_air 		= 0
+	police 			= 0
+	engineer 		= 10
+
+	cag = 100.000 
+}
diff -Naur Doomsday Data Files.old/ai/switch/usa_invasions1.ai Doomsday Data Files/ai/switch/usa_invasions1.ai
--- Doomsday Data Files.old/ai/switch/usa_invasions1.ai	1970-01-01 01:00:00.000000000 +0100
+++ Doomsday Data Files/ai/switch/usa_invasions1.ai	2008-12-01 21:31:17.000000000 +0100
@@ -0,0 +1,191 @@
+# reworked by G'Kar for DAIM
+# based on the original files (HoI2 1.1) by Lothos
+# reuse is welcome as long as file origin is correctly stated
+
+target = {
+	515 = 100
+	525 = 100
+	1599 = 100
+	1621 = 100
+} 
+
+max_garrison_prop = 0.30
+min_garrison_prop = 0.20
+
+garrison = {
+	defend_overseas_beaches = yes
+	home_multiplier 	= 0.9
+	overseas_multiplier 	= 1.5
+	home_peace_cap 		= 101
+	war_zone_odds 		= 2.0
+	key_point_prio_mult	= 1.0
+	revolt_risk_mult	= 0.3
+
+	# PRIORITIES:
+	beach			= 60	# Beach level 2
+	capital			= 100	# Our capital
+	human_border		= 50	# Ignored for allied human players
+	war_target		= 50	# The next country targeted for attack by this AI
+	
+	opposing_alliance	= 50	# For neutrals, all alliances are "opposing"
+	claim_threat		= 0	# If we are neutral, countries with claims on us get this
+	unstable_border		= 0	# Bordering countries at war with someone else get this
+}
+
+###################################
+# Invasions and Naval
+###################################
+invasion = {
+	base		= 0.1	#Relative modifier. (lower = specific targets much more important.)
+	random		= 10.0	#How big a random range.  (1.0 = 1%)
+	coastal		= 0.1	#increase to avoid coastal forts more.
+	beach		= 0.1	#higher, avoid worst beaches.
+	distance	= 0.1	#higher = avoid long distance.
+	max_distance    = 50.0
+	max_staging_distance = 50.0
+	pocket		= 1.0	#prioritise pockets, ie provinces with no adjacent controlled by same.
+	island		= 2.0	#prioritise taking pure islands.
+	enemy		= 1.0	#higher = much more vary of troops in province.
+	adjacentenemy 	= 0.5	#higher = much more vary of troops nearby
+	air_base	= 0.1
+      	naval_base 	= 0.1
+      	air_support 	= 0.1
+
+	invasion	= yes
+	ignore		= yes
+	help_allies 	= yes
+      	redirect 	= nearest
+
+	staging_province = { 20 21 23 600 762 958 }
+
+	target = {
+		938 = 5000 # Vichy in North Africa
+		939 = 5000
+		940 = 5000
+		949 = 5000
+		953 = 5000
+		958 = 5000
+
+		31 = 5000 # Malta
+		513 = 5000 # Mainland Italy
+		514 = 5000
+		520 = 5000
+		521 = 5000
+		523 = 5000
+		525 = 5000
+		526 = 5000
+		534 = 5000
+		932 = 5000 # Lybia
+		933 = 5000
+		924 = 5000
+
+		658 = 1000 #Hawai
+		659 = 1000 #Maui
+		660 = 1000 #Kawai
+		661 = 1000 #Niihau
+		662 = 1000 #Midway
+		663 = 1000 #Pearl Harbour
+		1766 = 1000 #Johnson
+		1785 = 1000 #Marcus
+		1786 = 1000 #Wake
+		1799 = 1000 #IwoJima
+		1784 = 1000 #Bonin Isl.
+		1602 = 1000 #Wotje
+		1600 = 1000 #Bikini
+		1601 = 1000 #Eniwetok
+		1608 = 1000 #Kwajelein
+		1605 = 1000 #Majuro
+		1606 = 1000 #Mili
+		1607 = 1000 #Jaluit
+		1610 = 1000 #Ponape
+		1609 = 1000 #Kosrae
+		1611 = 1000 #Nauru
+		1753 = 1000 # Vanua Levu
+		1751 = 1000 # Tahiti
+		1752 = 1000 #Lau Group
+		1755 = 1000 #Taveuni
+		1756 = 1000 # Samoa
+		1757 = 1000 # Tamara
+		1770 = 1000 #Maiana
+		1761 = 1000 #Apamana
+		1769 = 1000 #Tarawa
+		1768 = 1000 #Abaiang
+		1767 = 1000 #Makin
+		1762 = 1000 #Phoenix Island
+		1763 = 1000 #Christmas isl.
+		1764 = 1000 #Jarvis
+		1765 = 1000 #Palmira
+		1760 = 1000 #Nanuti
+		1758 = 1000 #Arorae
+		1871 = 1000 #Wellington
+		1871 = 1000 #Darwina
+		1868 = 1000 #Auckland
+		1872 = 1000 #ChristChurch
+		1703 = 1000 # Darwin
+		1702 = 1000 # Mhuluibuy
+		1701 = 1000 # Borroloa
+		1695 = 1000 # Normanton
+		1694 = 1000 # Welpa
+		1722 = 1000 # Brisbane
+		1723 = 1000 # Coff's Harbour
+		1724 = 1000 # Newcastle, Australia
+		1727 = 1000 # Sydney
+		1730 = 1000 # Melbourne
+		1732 = 1000 # Mount Gambier
+		1733 = 1000 # Adelaide
+		1729 = 1000 # Tasmania
+		1718 = 1000 # Port Augusta
+		1717 = 1000 # Port Lincoln
+		1716 = 1000 # Penong
+		1713 = 1000 # Esperance
+		1712 = 1000 # Perth
+		1711 = 1000 # Geralton
+		1710 = 1000 # Carnav
+		1704 = 1000 # Katherine
+		1692 = 1000 #Noumea
+		1691 = 1000 #Lifu
+		1687 = 1000 #Nare
+		1690 = 1000 #Etafe
+		1688 = 1000 #Bank Isl.
+		1686 = 1000 #Santa Cruz
+		1685 = 1000 #Guadalcanal
+		1684 = 1000 #New Georgia
+		1622 = 1000 #Kolombangia
+		1614 = 1000 #Villa Lavella
+		1683 = 1000 #Shortland Island
+		1682 = 1000 #Boungainville
+		1681 = 1000 #Buka
+		1669 = 1000 #New Ireland
+		1670 = 1000 #Rabaul
+		1671 = 1000 #Gasmata
+		1675 = 1000 #Kerema
+		1679 = 1000 #Port Moresby
+		1680 = 1000 #Milne Bay
+		1677 = 1000 #Buna
+		1672 = 1000 #Lae
+		1668 = 1000 #Admiralty
+		1667 = 1000 #Wewak
+		1666 = 1000 #Aitape
+		1665 = 1000 #Hollandia
+		1664 = 1000 #Sarmi
+		1663 = 1000 #arare
+		1661 = 1000 #Biak_isl.
+		1612 = 1000 #Satawan
+		1613 = 1000 #Truk
+		1615 = 1000 #Ulul
+		1617 = 1000 #Woleai
+		1616 = 1000 #Pulusuk
+		1604 = 1000 #Wolelai
+		1618 = 1000 #Ulithi
+		1619 = 1000 #Yap
+		1620 = 1000 #Ngulu
+		1176 = -1
+		1202 = -1
+	}
+}
+
+front = { 
+	recklessness 		= 2 # 0-3
+	distrib_vs_ai 		= even
+	distrib_vs_human 	= even
+}
diff -Naur Doomsday Data Files.old/ai/switch/usa_invasions2.ai Doomsday Data Files/ai/switch/usa_invasions2.ai
--- Doomsday Data Files.old/ai/switch/usa_invasions2.ai	1970-01-01 01:00:00.000000000 +0100
+++ Doomsday Data Files/ai/switch/usa_invasions2.ai	2008-12-01 21:31:17.000000000 +0100
@@ -0,0 +1,131 @@
+# reworked by G'Kar for DAIM
+# based on the original files (HoI2 1.1) by Lothos
+# reuse is welcome as long as file origin is correctly stated
+
+target = {
+	56 = 100
+	300 = 100
+	515 = 75
+	525 = 75
+	1599 = 100
+	1621 = 100
+} 
+
+max_garrison_prop = 0.25
+min_garrison_prop = 0.15
+
+garrison = {
+	defend_overseas_beaches = yes
+	home_multiplier 	= 0.6
+	overseas_multiplier 	= 1.5
+	home_peace_cap 		= 101
+	war_zone_odds 		= 2.0
+	key_point_prio_mult	= 1.0
+	revolt_risk_mult	= 0.3
+
+	# PRIORITIES:
+	beach			= 60	# Beach level 2
+	capital			= 100	# Our capital
+	human_border		= 50	# Ignored for allied human players
+	war_target		= 50	# The next country targeted for attack by this AI
+	
+	opposing_alliance	= 50	# For neutrals, all alliances are "opposing"
+	claim_threat		= 0	# If we are neutral, countries with claims on us get this
+	unstable_border		= 0	# Bordering countries at war with someone else get this
+
+	ignore = {
+		#18 # France
+		#32
+		#33
+		#34
+		#35
+		#39
+		#41
+		#42
+		#43
+		#59
+		#325
+		#326
+	}
+}
+
+###################################
+# Invasions and Naval
+###################################
+invasion = {
+	base		= 0.1	#Relative modifier. (lower = specific targets much more important.)
+	random		= 10.0	#How big a random range.  (1.0 = 1%)
+	coastal		= 0.1	#increase to avoid coastal forts more.
+	beach		= 0.1	#higher, avoid worst beaches.
+	distance	= 0.1	#higher = avoid long distance.
+	max_distance    = 100.0
+	max_staging_distance = 100.0
+	pocket		= 1.0	#prioritise pockets, ie provinces with no adjacent controlled by same.
+	island		= 0.5	#prioritise taking pure islands.
+	enemy		= 1.0	#higher = much more vary of troops in province.
+	adjacentenemy 	= 0.5	#higher = much more vary of troops nearby
+	air_base	= 0.1
+      	naval_base 	= 0.1
+      	air_support 	= 0.1
+
+	invasion	= yes
+	ignore		= yes
+	help_allies 	= yes
+      	redirect 	= nearest
+
+	staging_province = { 20 21 23 958 }
+
+	target = {
+		18 = 5000 # France
+		32 = 5000
+		33 = 5000
+		34 = 5000
+		35 = 5000
+		39 = 5000
+		41 = 5000
+		42 = 5000
+		43 = 5000
+		59 = 5000
+		325 = 5000
+		326 = 5000
+
+		9 = 5000 # England
+		10 = 5000
+		11 = 5000
+		12 = 5000
+		13 = 5000
+		14 = 5000
+		17 = 5000
+		20 = 5000
+		21 = 5000
+		22 = 5000
+		23 = 5000
+		28 = 5000
+
+		938 = 1000 # Vichy in North Africa
+		939 = 1000
+		940 = 1000
+		949 = 1000
+		953 = 1000
+		958 = 1000
+
+		31 = 1000 # Malta
+		513 = 1000 # Mainland Italy
+		514 = 1000
+		520 = 1000
+		521 = 1000
+		523 = 1000
+		525 = 1000
+		526 = 1000
+		534 = 1000
+		932 = 1000 # Lybia
+		933 = 1000
+		924 = 1000
+	}
+}
+
+front = { 
+	recklessness 		= 2 # 0-3
+	distrib_vs_ai 		= offensive
+	distrib_vs_human 	= offensive
+}
